Allow harbormaster build logs to be downloaded via the API
Closed, ResolvedPublic

Description

I want to be able to aggregate harbormaster build logs into a log management tool like graylog/ELK/$plunk/etc. Having the logs live in a mysql database doesn't make this particularly easy, so it'd be nice if there was a way to export them. A conduit endpoint seems like a reasonable mechanism for this.

jcox created this task.Oct 28 2016, 5:54 PM
eadler added a subscriber: eadler.Oct 29 2016, 7:51 AM
epriestley closed this task as Resolved.Mar 20 2018, 4:17 PM
epriestley added a subscriber: epriestley.

I missed this task when collecting T13088, but this is supported after D19151.

(Note that it will only work for more-recent logs, T13088 will have some guidance for older logs eventually.)